List Syncs
curl --request GET \
--url https://api.hightouch.com/api/v1/syncs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hightouch.com/api/v1/syncs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hightouch.com/api/v1/syncs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/syncs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/syncs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hightouch.com/api/v1/syncs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/syncs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"hasMore": false,
"data": [
{
"id": 1,
"slug": "testsync",
"workspaceId": 1,
"createdAt": "2022-02-16T21:37:58.510Z",
"updatedAt": "2022-02-16T21:37:58.510Z",
"createdBy": {
"id": 1,
"name": "Jane Doe",
"email": "jane.doe@example.com"
},
"updatedBy": {
"id": 1,
"name": "Jane Doe",
"email": "jane.doe@example.com"
},
"destinationId": 1,
"modelId": 1,
"configuration": {
"mode": "upsert",
"object": "contacts",
"mappings": [
{
"to": "email",
"from": "email",
"type": "standard"
},
{
"to": "phone",
"from": "phone",
"type": "standard"
}
],
"objectId": "0-1",
"externalIdMapping": {
"to": "firstname",
"from": "test_id",
"type": "standard"
},
"associationMappings": []
},
"schedule": {
"type": "interval",
"schedule": {
"interval": {
"unit": "day",
"quantity": 1
}
}
},
"status": "success",
"disabled": false,
"lastRunAt": "2022-02-16T21:37:58.510Z",
"referencedColumns": [
"email",
"name"
],
"primaryKey": "id",
"externalSegment": {},
"tags": {
"foo": "bar"
},
"syncTemplateId": null,
"syncTemplateOverrides": null
}
]
}{
"message": "Validation failed",
"details": {}
}API Reference
List Syncs
List all the syncs in the current workspace
GET
/
syncs
List Syncs
curl --request GET \
--url https://api.hightouch.com/api/v1/syncs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hightouch.com/api/v1/syncs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hightouch.com/api/v1/syncs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/syncs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/syncs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hightouch.com/api/v1/syncs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/syncs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"hasMore": false,
"data": [
{
"id": 1,
"slug": "testsync",
"workspaceId": 1,
"createdAt": "2022-02-16T21:37:58.510Z",
"updatedAt": "2022-02-16T21:37:58.510Z",
"createdBy": {
"id": 1,
"name": "Jane Doe",
"email": "jane.doe@example.com"
},
"updatedBy": {
"id": 1,
"name": "Jane Doe",
"email": "jane.doe@example.com"
},
"destinationId": 1,
"modelId": 1,
"configuration": {
"mode": "upsert",
"object": "contacts",
"mappings": [
{
"to": "email",
"from": "email",
"type": "standard"
},
{
"to": "phone",
"from": "phone",
"type": "standard"
}
],
"objectId": "0-1",
"externalIdMapping": {
"to": "firstname",
"from": "test_id",
"type": "standard"
},
"associationMappings": []
},
"schedule": {
"type": "interval",
"schedule": {
"interval": {
"unit": "day",
"quantity": 1
}
}
},
"status": "success",
"disabled": false,
"lastRunAt": "2022-02-16T21:37:58.510Z",
"referencedColumns": [
"email",
"name"
],
"primaryKey": "id",
"externalSegment": {},
"tags": {
"foo": "bar"
},
"syncTemplateId": null,
"syncTemplateOverrides": null
}
]
}{
"message": "Validation failed",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
filter based on slug
filter based on modelId
filter based on destinationId
select syncs that were run after given ISO timestamp
select syncs that were run before given ISO timestamp
set the offset on results (for pagination)
limit the number of objects returned (default is 100)
specify the order
Available options:
id, name, slug, createdAt, updatedAt Was this page helpful?